Method: projects.locations.instances.updateConfig

Notebook-Instanzkonfigurationen aktualisieren

HTTP-Anfrage

PATCH https://notebooks.googleapis.com/v1/{name}:updateConfig

Pfadparameter

Parameter
name

string

Erforderlich. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Die Autorisierung erfordert folgende IAM-Berechtigung für die angegebene Ressource name:

  • notebooks.instances.updateConfig

Anfragetext

Der Anfragetext enthält Daten mit folgender Struktur:

JSON-Darstellung
{
  "config": {
    object (InstanceConfig)
  }
}
Felder
config

object (InstanceConfig)

Die Instanzkonfigurationen, die aktualisiert werden sollen.

Antworttext

Wenn der Vorgang erfolgreich abgeschlossen wurde, enthält der Antworttext eine Instanz von Operation.

Autorisierungsbereiche

Erfordert einen der folgenden OAuth-Bereiche:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

Weitere Informationen finden Sie unter Authentication Overview.

InstanceConfig

Notebook-Instanzkonfigurationen, die aktualisiert werden können.

JSON-Darstellung
{
  "notebookUpgradeSchedule": string,
  "enableHealthMonitoring": boolean
}
Felder
notebookUpgradeSchedule

string

Cron-Ausdruck in der UTC-Zeitzone, der zum Planen des automatischen Upgrades der Instanz verwendet wird. Halten Sie sich bitte an das Cron-Format.

enableHealthMonitoring

boolean

Prüft, ob die internen Hauptdienste ausgeführt werden.